# BEGIN SourceDeps(oneline):
BuildRequires: perl(Shell.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		webcpp
Version:	0.8.4
Release:	alt1_20
Summary:	Convert C++ code to HTML
License:	GPLv2
Group:		Development/Tools
URL:		http://webcpp.sourceforge.net
Source:		http://prdownloads.sourceforge.net/webcpp/%{name}-%{version}-src.tar.gz
Patch0:		webcpp-0.8.4-typo.patch
Patch1:     webcpp-0.8.4-gcc43.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
Source44: import.info

%description
Web C Plus Plus is a command line utility that takes your source 
code, and converts it into an HTML file using a fully customizable 
syntax highlighting engine and colour schemes. This is useful if 
you want to post your code online and make it easier to read, or 
to make online programming tutorials. 

%prep
%setup -qn %{name}-%{version}-src
%patch0 -p1 -b .typo
%patch1 -p1 -b .gcc43

%build
%configure
%make_build

%install
install -Dpm 755 %{name}/webcpp $RPM_BUILD_ROOT%{_bindir}/webcpp



%files
%doc README docs.html
%{_bindir}/webcpp


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_20
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_19
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_18
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_15
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_14
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_12
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_11
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_10
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_9
- initial fc import

